%define		php_name	php%{?php_suffix}
%define		modname	inotify
%define		status		stable
Summary:	%{modname} - php bindings
Summary(pl.UTF-8):	%{modname} - dowiązania php
Name:		%{php_name}-pecl-%{modname}
Version:	0.1.6
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	c7d837c4837d8132c451c6ab37ef917e
URL:		http://pecl.php.net/package/inotify/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	glibc-devel >= 6:2.3.6-19
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-inotify < 0.1.6-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The inotify extension allows to use inotify functions in a PHP script.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie inotify pozwala na skorzystanie z funkcji inotify w
skrypcie PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p inotify.php tail.php $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-inotify.git;a=log;h=auto/th/php-pecl-inotify-0.1.6-6

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> c17d705
- obsolete old php name
- release 6 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 59ebf3e
- php 5.5 rebuild
- release 5 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 1e9951b
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 8b86e47
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 96de9dc
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> d4c4fe2
- release 2 (by relup.sh)

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8b4388e
- updated to 0.1.6

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 13be9e2
- release 4

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> f81c882
- can work with patched ac glibc; package examples to examplesdir

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 804ecb1
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 7ec53a6
- release 2

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 8d79995
- updated to 0.1.4

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 9b96274
- updated to 0.1.3

* Wed Oct 22 2008 Adam Gołębiowski <adamg@pld-linux.org> 6a7e8dd
- BR: glibc-devel >= 6:2.4 (inotify.h)

* Wed Oct 22 2008 Adam Gołębiowski <adamg@pld-linux.org> 7187d3f
- new

